Loading...
Searching...
No Matches
caf::detail::is_complete< T > Struct Template Reference

Checks whether T is a complete type. More...

`#include <is_complete.hpp>`

## Static Public Attributes

static constexpr bool | value = decltype(is_complete_impl(std::declval<T*>()))::value

## Detailed Description

template<class T>
struct caf::detail::is_complete< T >

Checks whether T is a complete type.

For example, passing a forward declaration or undefined template specialization evaluates to false.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/is_complete.hpp